<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/interact/actiontoggletentopen.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d01/a00227_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">actiontoggletentopen.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d01/a00227.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ActionToggleTentOpen.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/d3c/a03589.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d1/d3c/a03589.html">ActionToggleTentOpen</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">   15</a></span>    <a class="code hl_class" href="../../da/dfc/a03825.html">TentBase</a> <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d1/d3c/a03589.html#a45f83a227e7083bfd726b05a70fcd076">   16</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d1/d3c/a03589.html#a45f83a227e7083bfd726b05a70fcd076">m_IsEntrance</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d1/d3c/a03589.html#acdde86a77b34c9832649a221192e4b35">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d1/d3c/a03589.html#acdde86a77b34c9832649a221192e4b35">GetText</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a> &amp;&amp; <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a>.ExpansionIsLocked() )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d3c/a03589.html#a45f83a227e7083bfd726b05a70fcd076">m_IsEntrance</a> )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>                <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_OPEN_LOCKED_TENT&quot;</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_TOGGLE_LOCKED_OPENING&quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#toggle_opening&quot;</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d1/d3c/a03589.html#a11f58e7c9006f1261fbdce2c433d3435">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d3c/a03589.html#a11f58e7c9006f1261fbdce2c433d3435">ActionCondition</a>(<a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="code hl_class" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> item)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d1/d3c/a03589.html#a45f83a227e7083bfd726b05a70fcd076">m_IsEntrance</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a> = <a class="code hl_class" href="../../da/dfc/a03825.html">TentBase</a>.Cast( target.GetParent() );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a> )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a>.ExpansionGetCodeLock() &amp;&amp; <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a>.ExpansionIsLocked() )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a>.IsKnownUser( player ) )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                Object targetObject = target.GetObject();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <span class="keywordflow">if</span> ( !targetObject )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                array&lt; string &gt; selections = <span class="keyword">new</span> array&lt; string &gt;;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                targetObject.GetActionComponentNameList( target.GetComponentIndex(), selections );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> s = 0; s &lt; selections.Count(); s++ )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                    <span class="keywordflow">if</span> ( !selections[s].Contains( <span class="stringliteral">&quot;entrance&quot;</span> ) &amp;&amp; !selections[s].Contains( <span class="stringliteral">&quot;door&quot;</span> ) )</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                        <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a>.CanToggleAnimations( selections[s] ) )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                        <a class="code hl_variable" href="../../d1/d3c/a03589.html#a45f83a227e7083bfd726b05a70fcd076">m_IsEntrance</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> super.ActionCondition( player, target, item );</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d1/d3c/a03589.html#a6d21873eca360a30fc6a48dd181e1640">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d3c/a03589.html#a6d21873eca360a30fc6a48dd181e1640">OnExecuteServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a> || ( <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a>.ExpansionGetCodeLock() &amp;&amp; <a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a>.ExpansionIsLocked() &amp;&amp; !<a class="code hl_variable" href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">m_Tent</a>.IsKnownUser( action_data.m_Player ) ) )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        super.OnExecuteServer( action_data );</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>};</div>
<div class="ttc" id="aa03589_html"><div class="ttname"><a href="../../d1/d3c/a03589.html">ActionToggleTentOpen</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d01/a00227_source.html#l00013">actiontoggletentopen.c:14</a></div></div>
<div class="ttc" id="aa03589_html_a11f58e7c9006f1261fbdce2c433d3435"><div class="ttname"><a href="../../d1/d3c/a03589.html#a11f58e7c9006f1261fbdce2c433d3435">ActionToggleTentOpen::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d01/a00227_source.html#l00031">actiontoggletentopen.c:31</a></div></div>
<div class="ttc" id="aa03589_html_a45f83a227e7083bfd726b05a70fcd076"><div class="ttname"><a href="../../d1/d3c/a03589.html#a45f83a227e7083bfd726b05a70fcd076">ActionToggleTentOpen::m_IsEntrance</a></div><div class="ttdeci">bool m_IsEntrance</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d01/a00227_source.html#l00016">actiontoggletentopen.c:16</a></div></div>
<div class="ttc" id="aa03589_html_a6d21873eca360a30fc6a48dd181e1640"><div class="ttname"><a href="../../d1/d3c/a03589.html#a6d21873eca360a30fc6a48dd181e1640">ActionToggleTentOpen::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d01/a00227_source.html#l00067">actiontoggletentopen.c:67</a></div></div>
<div class="ttc" id="aa03589_html_a89345168e8dada24313e89c51fdfc7a7"><div class="ttname"><a href="../../d1/d3c/a03589.html#a89345168e8dada24313e89c51fdfc7a7">ActionToggleTentOpen::m_Tent</a></div><div class="ttdeci">TentBase m_Tent</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d01/a00227_source.html#l00015">actiontoggletentopen.c:15</a></div></div>
<div class="ttc" id="aa03589_html_acdde86a77b34c9832649a221192e4b35"><div class="ttname"><a href="../../d1/d3c/a03589.html#acdde86a77b34c9832649a221192e4b35">ActionToggleTentOpen::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d01/a00227_source.html#l00018">actiontoggletentopen.c:18</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03825_html"><div class="ttname"><a href="../../da/dfc/a03825.html">TentBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dc4/a00443_source.html#l00015">tentbase.c:16</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04713_html"><div class="ttname"><a href="../../da/d6d/a04713.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">actiontargets.c:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c81cc1ad0bcb4f6919dc1b9d5f9d5d05.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_60d28b9c29e7916a419493eda4bdadab.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_45ea8e8df14ee345e75e585eeda3842f.html">interact</a></li><li class="navelem"><a class="el" href="../../d9/d01/a00227.html">actiontoggletentopen.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
